{{/*
Expand the name of the chart.
*/}}
{{- define "selenium.name" -}}
{{- default .Chart.Name .Values.nameOverride | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
Create a default fully qualified app name.
We truncate at 63 chars because some Kubernetes name fields are limited to this (by the DNS naming spec).
If release name contains chart name it will be used as a full name.
*/}}
{{- define "selenium.fullname" -}}
{{- if .Values.fullnameOverride }}
{{- .Values.fullnameOverride | trunc 63 | trimSuffix "-" }}
{{- else }}
{{- $name := default .Chart.Name .Values.nameOverride }}
{{- if contains $name .Release.Name }}
{{- .Release.Name | trunc 63 | trimSuffix "-" }}
{{- else }}
{{- printf "%s-%s" .Release.Name $name | trunc 63 | trimSuffix "-" }}
{{- end }}
{{- end }}
{{- end }}

{{/*
Create chart name and version as used by the chart label.
*/}}
{{- define "selenium.chart" -}}
{{- printf "%s-%s" .Chart.Name .Chart.Version | replace "+" "_" | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
Common labels
*/}}
{{- define "selenium.labels" -}}
helm.sh/chart: {{ include "selenium.chart" . }}
{{ include "selenium.selectorLabels" . }}
{{- if .Chart.AppVersion }}
app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
{{- end }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
{{- end }}

{{/*
Common labels for chrome node
*/}}
{{- define "selenium-chrome.labels" -}}
helm.sh/chart: {{ include "selenium.chart" . }}
{{ include "selenium-chrome.selectorLabels" . }}
{{- if .Chart.AppVersion }}
app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
{{- end }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
{{- end }}

{{/*
Common labels for firefox node
*/}}
{{- define "selenium-firefox.labels" -}}
helm.sh/chart: {{ include "selenium.chart" . }}
{{ include "selenium-firefox.selectorLabels" . }}
{{- if .Chart.AppVersion }}
app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
{{- end }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
{{- end }}

{{/*
Selector labels
*/}}
{{- define "selenium.selectorLabels" -}}
app.kubernetes.io/name: {{ include "selenium.name" . }}
app.kubernetes.io/instance: {{ .Release.Name }}
{{- end }}

{{/*
Selector labels for chrome
*/}}
{{- define "selenium-chrome.selectorLabels" -}}
app.kubernetes.io/name: {{ include "selenium.name" . }}-chrome
app.kubernetes.io/instance: {{ .Release.Name }}-chrome
{{- end }}

{{/*
Selector labels for firefox
*/}}
{{- define "selenium-firefox.selectorLabels" -}}
app.kubernetes.io/name: {{ include "selenium.name" . }}-firefox
app.kubernetes.io/instance: {{ .Release.Name }}-firefox
{{- end }}

{{/*
Create the name of the service account to use
*/}}
{{- define "selenium.serviceAccountName" -}}
{{- if .Values.serviceAccount.create }}
{{- default (include "selenium.fullname" .) .Values.serviceAccount.name }}
{{- else }}
{{- default "default" .Values.serviceAccount.name }}
{{- end }}
{{- end }}
